
#loginModal {
    display: none;
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0,0,0,0.4);

    /* Centering via flexbox */
    display: none; /* hidden initially */
    justify-content: center;
    align-items: center;
}

.modal-content-login {
    background: #fff;
    padding: 20px;
    border-radius: 6px;
    width: 90%;
    max-width: 400px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.3);
    position: relative;
}

.wide_center {
width: 100%;
text-align: center;
}


.close-button {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close-button:hover,
.close-button:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}
